from setuptools import setup, find_packages

setup(
    name='Concatenator',  # Name of the package
    version='0.1.0',  # Version of the package
    author='Artur Viñas Ferran',  # Author of the package
    author_email='artur.vinas@bsc.es',  # Author's email
    description='This package concatenates two input files into one output file',  # Brief description
    long_description=open('README.md').read(),  # Long description read from a file
    long_description_content_type='text/markdown',  # Content type of the long description
    url='https://earth.bsc.es/gitlab/avinas/concatenator.git',  # URL of the package's home page
    packages=find_packages(),  # Automatically find packages in the directory
    install_requires=[  # List of dependencies
        "configargparse"
    ],
    entry_points={  # Entry points for command-line scripts
        'console_scripts': [
            'concatenate_patatas=concatenator.concatenate:run',
        ],
    },
)
